org.apache.poi.hdgf.streams

## Class PointerContainingStream

- java.lang.Object
- - org.apache.poi.hdgf.streams.Stream
  - - org.apache.poi.hdgf.streams.PointerContainingStream

- Direct Known Subclasses:
    TrailerStream

      public class PointerContainingStream
      extends Stream

  A stream that holds pointers, possibly in addition to some other data too.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PointerContainingStream(Pointer pointer, StreamStore store, ChunkFactory chunkFactory, PointerFactory pointerFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `findChildren(byte[] documentData)` Performs a recursive search, identifying the pointers we contain, creating the Streams for where they point to, then searching those if appropriate.
    `protected Pointer[]` | `getChildPointers()` Returns all the pointers that we contain
    `Stream[]` | `getPointedToStreams()` Returns all the "child" streams.

    - ### Methods inherited from class org.apache.poi.hdgf.streams.Stream

      `_getContentsLength, _getStore, createStream, getPointer, getStore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PointerContainingStream

          protected PointerContainingStream(Pointer pointer,
                                            StreamStore store,
                                            ChunkFactory chunkFactory,
                                            PointerFactory pointerFactory)

  - ### Method Detail

    - #### getChildPointers

          protected Pointer[] getChildPointers()

      Returns all the pointers that we contain

    - #### getPointedToStreams

          public Stream[] getPointedToStreams()

      Returns all the "child" streams. These are all the streams pointed to by the pointers that we contain.

    - #### findChildren

          public void findChildren(byte[] documentData)

      Performs a recursive search, identifying the pointers we contain, creating the Streams for where they point to, then searching those if appropriate.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.